<template>
	<div class="col-sm-6 col-md-4 col-lg-3 mt-4">
		<div class="card text-primary">
			<div class="card-header">
				{{ rank }}
			</div>
			<div class="card-body">
				<h5 v-bind:title="name" class="card-title text-nowrap text-truncate">
					{{ name }}
				</h5>
				<p class="card-text">
					{{ author_year }}
				</p>
				<nuxt-link :to="'taxon/' + id">
					<div class="btn btn-primary w-100">Details</div>
				</nuxt-link>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	name: "TaxonResult",
	props: {
		name: String,
		rank: String,
		author_year: String,
		id: Number
	}
};
</script>

<style>
.taxon {
	padding: 1rem;
	border: 1px dotted #ccc;
	margin: 1rem 0;
}
</style>
